### Function

# Gtk test_list_all_types

since: 4.0

#### Declaration [src]

    const GType*
    gtk_test_list_all_types (
      guint* n_types
    )

#### Description [src]

Return the type ids that have been registered after calling gtk_test_register_all_types().

Available since: 4.0

#### Parameters

`n_types`

  Type: `guint*`

  Location to store number of types.

  The argument will be set by the function.

#### Return value

Type: An array of `GType`

0-terminated array of type ids.

The array is `NULL`-terminated.
The length of the array is in the `n_types` argument.
The data is owned by the called function.